• Русский
  • VolumeSnapshotLocation [velero.io/v1]

    Description
    VolumeSnapshotLocation is a location where Velero stores volume snapshots.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    VolumeSnapshotLocationSpec defines the specification for a Velero VolumeSnapshotLocation.

    statusobject

    VolumeSnapshotLocationStatus describes the current status of a Velero VolumeSnapshotLocation.

    .spec

    Description
    VolumeSnapshotLocationSpec defines the specification for a Velero VolumeSnapshotLocation.
    Type
    object
    Required
    provider
    PropertyTypeDescription
    configobject

    Config is for provider-specific configuration fields.

    credentialobject

    Credential contains the credential information intended to be used with this location

    providerstring

    Provider is the provider of the volume storage.

    .spec.config

    Description
    Config is for provider-specific configuration fields.
    Type
    object

    .spec.credential

    Description
    Credential contains the credential information intended to be used with this location
    Type
    object
    Required
    key
    PropertyTypeDescription
    keystring

    The key of the secret to select from. Must be a valid secret key.

    namestring

    Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names TODO: Add other useful fields. apiVersion, kind, uid?

    optionalboolean

    Specify whether the Secret or its key must be defined

    .status

    Description
    VolumeSnapshotLocationStatus describes the current status of a Velero VolumeSnapshotLocation.
    Type
    object
    PropertyTypeDescription
    phasestring

    VolumeSnapshotLocationPhase is the lifecycle phase of a Velero VolumeSnapshotLocation.

    API Endpoints

    The following API endpoints are available:

    • /apis/velero.io/v1/namespaces/{namespace}/volumesnapshotlocations
      • DELETE: delete collection of VolumeSnapshotLocation
      • GET: list objects of kind VolumeSnapshotLocation
      • POST: create a new VolumeSnapshotLocation
    • /apis/velero.io/v1/namespaces/{namespace}/volumesnapshotlocations/{name}
      • DELETE: delete the specified VolumeSnapshotLocation
      • GET: read the specified VolumeSnapshotLocation
      • PATCH: partially update the specified VolumeSnapshotLocation
      • PUT: replace the specified VolumeSnapshotLocation
    • /apis/velero.io/v1/namespaces/{namespace}/volumesnapshotlocations/{name}/status
      • GET: read status of the specified VolumeSnapshotLocation
      • PATCH: partially update status of the specified VolumeSnapshotLocation
      • PUT: replace status of the specified VolumeSnapshotLocation

    /apis/velero.io/v1/namespaces/{namespace}/volumesnapshotlocations

    HTTP method
    DELETE
    Description
    delete collection of VolumeSnapshotLocation
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind VolumeSnapshotLocation
    HTTP responses
    HTTP codeResponse body
    200 - OKVolumeSnapshotLocationList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new VolumeSnapshotLocation
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVolumeSnapshotLocation schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVolumeSnapshotLocation schema
    201 - CreatedVolumeSnapshotLocation schema
    202 - AcceptedVolumeSnapshotLocation schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v1/namespaces/{namespace}/volumesnapshotlocations/{name}

    HTTP method
    DELETE
    Description
    delete the specified VolumeSnapshotLocation
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified VolumeSnapshotLocation
    HTTP responses
    HTTP codeResponse body
    200 - OKVolumeSnapshotLocation schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified VolumeSnapshotLocation
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVolumeSnapshotLocation schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified VolumeSnapshotLocation
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVolumeSnapshotLocation schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVolumeSnapshotLocation schema
    201 - CreatedVolumeSnapshotLocation schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v1/namespaces/{namespace}/volumesnapshotlocations/{name}/status

    HTTP method
    GET
    Description
    read status of the specified VolumeSnapshotLocation
    HTTP responses
    HTTP codeResponse body
    200 - OKVolumeSnapshotLocation schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified VolumeSnapshotLocation
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVolumeSnapshotLocation schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified VolumeSnapshotLocation
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVolumeSnapshotLocation schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVolumeSnapshotLocation schema
    201 - CreatedVolumeSnapshotLocation schema
    401 - UnauthorizedEmpty